<nz-modal [nzVisible]='showContent' [nzFooter]='null' (nzOnCancel)='doClose()'
          nzTitle="{{'staffManager.label.downloadData'|translate}}" [nzWidth]='nzWidth'
          [nzCentered]='true'>
  <ng-container *nzModalContent style='padding: 0'>
    <div nz-row [nzGutter]='[30,30]'>
      <mb-button mbButtonType='BORDER' class='mb__button--w100 mb__button--no-margin' nz-col nzXs='24' nzLg='24'
                 (click)='doDownloadTemplate()'>
        <div class='mb__button--content--imp'>
          <div class='content__left'>
            <img alt="" src='/assets/icon/button/zip.png'>
            <span>{{'staffManager.label.downloadTemplate'|translate}}</span>
          </div>
          <div class='content__right'><img alt="" src='/assets/icon/button/file.png'></div>
        </div>
      </mb-button>
      <label style="padding-left: 15px" class="label">{{'common.upload.uploadFileImport'|translate}}<span class='label__required'> *</span></label>
      <nz-upload nz-col nzXs='24' nzLg='24'
                 class="import__file"
                 nzType='drag'
                 [nzMultiple]='false' [(nzFileList)]='fileList' [nzBeforeUpload]='beforeUpload'
                 [nzRemove]='doRemoveFile'>
        <div *ngIf="!fileImportName">
          <p class='ant-upload-drag-icon'>
            <img alt="" src='assets/icon/staff-manager/import.svg'>
          </p>
          <p class='ant-upload-text'>
            {{'common.upload.description'|translate}}
          </p>
          <p class='ant-upload-hint'>
            {{'common.upload.supportExcel'|translate}}
          </p>
        </div>
        <div *ngIf="fileImportName" class="nz__upload--content">
          <p class='ant-upload-drag-icon'>
            <img style="width: 30px; margin-bottom: -10px" alt="" src='/assets/icon/staff-manager/export_excel.svg' />
          </p>
          <p class='ant-upload-text ellipsis__text'>{{fileImportName}}</p>
          <p class='ant-upload-hint'>
            {{fileImportSize}} MB
          </p>
        </div>
      </nz-upload>
      <ng-container *ngIf="showAttachFile">
        <label style="padding-left: 15px" class="label">{{'common.upload.uploadFileAttach'|translate}}<span *ngIf="requiredAttachFile" class='label__required'> *</span></label>
        <nz-upload nz-col nzXs='24' nzLg='24'
                   nzType="drag"
                   [nzMultiple]=" true"
                   [(nzFileList)]="fileListAttach" [nzBeforeUpload]="beforeUploadAttach" nzAccept='.zip, .pdf'>
          <p class="ant-upload-drag-icon">
            <em nz-icon nzType="inbox"></em>
          </p>
          <p class="ant-upload-text">{{'common.upload.description'|translate}}</p>
          <p class="ant-upload-hint">
            {{'common.upload.supportAttachType'|translate}}
          </p>
        </nz-upload>
      </ng-container>
    </div>
    <div nz-row [nzGutter]='[10,10]' *ngIf='isExistFileImport' style="margin-top: 20px">
      <mb-button mbButtonType='BORDER' mbButtonSize='SMALL' mbButtonText="{{'common.button.cancel'|translate }}"
                 class='mb__button--w100 mb__button--no-margin' nz-col nzXs='24' nzLg='12'
                 mbButtonAvailableStyle='DEFAULT'
                 (click)='doClose()'></mb-button>
      <mb-button mbButtonType='BORDER' mbButtonSize='SMALL' mbButtonAvailableStyle='PRIMARY'
                 mbButtonText="{{'common.upload.upload'|translate }}"
                 class='mb__button--w100 mb__button--no-margin' nz-col nzXs='24' nzLg='12'
                 (click)='doImportFile()'></mb-button>
    </div>
  </ng-container>
</nz-modal>
<nz-modal (nzOnCancel)='doCloseModal()' [nzCentered]='true' [nzVisible]='isModalError'
          nzTitle="{{'common.error.list'|translate}}" [nzWidth]='nzWidthError'>
  <div *nzModalContent>
    <nz-table [nzScroll]="{y: '300px' }" [nzData]='errorList' nzBordered='true' nzSize='small' nzShowPagination='false'>
      <thead>
      <tr>
        <th scope="col" nzAlign='center' nzWidth='40px'>#</th>
        <th scope="col" nzWidth='60px'>{{'common.table.row'|translate}}</th>
        <th scope="col" nzWidth='60px'>{{'common.table.column'|translate}}</th>
        <th scope="col">{{'common.error.description'|translate}}</th>
        <th scope="col" nzWidth='100px'>{{'common.error.value'|translate}}</th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor='let data of errorList; let i = index'>
        <td nzAlign='center'>{{ i + 1 }}</td>
        <td nzAlign='center'>{{ data?.row }}</td>
        <td nzAlign='center'>{{ data?.columnLabel }}</td>
        <td><span [innerHtml]='data?.description'></span></td>
        <td><span [innerHtml]='data?.content'></span></td>
      </tr>
      </tbody>
    </nz-table>
    <div class='linkDownload' *ngIf="isHiddenDownloadErrorFile" style='margin-top: 10px'>
      <a (click)='doDownloadFile()'>{{'common.error.downloadFile' | translate}}</a>
    </div>
  </div>
  <div *nzModalFooter>
    <mb-button (click)='doCloseModal()' mbPrefixIcon='close-circle'
               mbButtonText="{{'common.button.close'|translate}}" mbButtonAvailableStyle='DANGER'></mb-button>
  </div>
</nz-modal>

